BEEM - Android XMPP - Bug #386

Crashes when opening chat to contact in rooster
01/20/2012 05:02 PM - Anonymous

Status: Closed Start date: 01/20/2012
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 0%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.1.7

Affected version: hg Locale:

Description

Problem part 1: | freshly started beem 0.1.7_rc1 from f-droid.org. | tap the first name in my rooster to open a chat with that person
and get a force close dialogue. Second person works, third as well, fourth doesn't. No immediate scheme visible - maybe it's about
their client?

Problem part 2: the beem status icon stays in the notification bar.

way a: If i open beem from there | see the change status dialogue, changing to the rooster gets me an empty rooster. i can close via
"menu" - "disconnect".

way b: starting beem from its launcher/icon i see the connection dialogue as if | start from scratch.

Problem part 3: after closing beem now the status bar icon is gone, but beem is still running according to my task manager.

Related issues:
Is duplicate of Bug #393: Compact chat crash Closed

Associated revisions

Revision 953:59d7b3e9580f - 01/23/2012 05:35 PM - Nikita Kozlov
Bug #386: fix it |

Revision 975:59d7b3e9580f - 01/23/2012 05:35 PM - Nikita Kozlov
Bug #386: fix it |

History

#1 - 01/20/2012 05:09 PM - Nikita Kozlov
- Category set to User Interface
- Assignee set to Nikita Kozlov

- Target version set to 0.1.7

01-20 16:46:50.561 I/ActivityManager (1387): Starting activity: Intent { act=android.intent.action.MAIN cat=[an
droid.intent.category.LAUNCHER] flg=0x10200000 cmp=com.beem.project.beem/.ui.Login bnds=[5,252][115,370] }
01-20 16:46:50.694 I/ActivityManager (1387): Starting activity: Intent { cmp=com.beem.project.beem/.ui.ContactL
ist }

01-20 16:46:50.796 D/ContactList (19339): buildContactList for group All contacts

01-20 16:46:50.796 D/ContactList (19339): add roster listener

01-20 16:46:50.952 I/ActivityManager (1387): Displayed activity com.beem.project.beem/.ui.ContactList: 208 ms (
total 280 ms)

01-20 16:46:51.874 I/ActivityManager (1387): Starting activity: Intent { dat=xmpp:XXXXX@jabber.ccc.de cmp=com.b
eem.project.beem/.ui.Chat }

01-20 16:46:51.889 D/BeemService (19339): ONUNBIND ()

01-20 16:46:51.921 W/InputManagerService (1387): Starting input on non-focused client com.android.internal.view
.IInputMethodClient$StubS$Proxy@46218cb0 (uid=10094 pid=19360)

01-20 16:46:51.928 D/AndroidRuntime (19339): Shutting down VM

01-20 16:46:51.928 W/dalvikvm(19339): threadid=1: thread exiting with uncaught exception (group=0x400208b0)
01-20 16:46:51.928 E/AndroidRuntime (19339): FATAL EXCEPTION: main

01-20 16:46:51.928 E/AndroidRuntime (19339): java.lang.NullPointerException

01-20 16:46:51.928 E/AndroidRuntime (19339): at com.beem.project.beem.ui.Chat.updateOtrInformations (Chat. ja
va:667)

01-20 16:46:51.928 E/AndroidRuntime (19339): at com.beem.project.beem.ui.Chat.changeCurrentChat (Chat.java:3
72)

01-20 16:46:51.928 E/AndroidRuntime (19339): at com.beem.project.beem.ui.Chat.access$700 (Chat.java:116)
01-20 16:46:51.928 E/AndroidRuntime (19339): at com.beem.project.beem.ui.Chat$BeemServiceConnection.onServi
ceConnected (Chat.java:464)
Connected (ActivityThread. java:1294)
16:46:54.421
.ContactList paused=true}
16:46:54.428 I/WindowManager (1387):
.Chat paused=false}

E/AndroidRuntime (19339) :

E/AndroidRuntime (19339
W/ActivityManager (1387
W/ActivityManager (1387
W/ActivityManager (1387

I/Process (19339):

W/ActivityManager (1387)

I/WindowManager (1387) :

#2 - 01/20/2012 05:09 PM - Nikita Kozlov
- File deleted (log)

#3 - 01/23/2012 03:41 PM - Nikita Kozlov
- File Beem-debug.apk added

Hello,

( )
( )
( )
(19339) :
( )
( )
( )

Sending signal.
I/ActivityManager (1387) :

at android.app.ActivityThread$PackageInfo$ServiceDispatcher.do

at android.app.ActivityThread$PackageInfoS$ServiceDispatcherS$SRu

at android.
at
at
at
at
at
at

os.Handler.handleCallback (Handler. java:587)
os.Handler.dispatchMessage (Handler. java:92)
os.Looper.loop (Looper. java:143)
app.ActivityThread.main (ActivityThread. java:4717)

android.
android.
android.
java.lang.reflect.Method.invokeNative (Native Method)
java.lang.reflect.Method.invoke (Method. java:521)
com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run (
at com.android.internal.os.ZygotelInit.main (ZygoteInit. java:618
at dalvik.system.NativeStart.main (Native Method)

Force finishing activity com.beem.project.beem/.ui.Chat

Force finishing activity com.beem.project.beem/.ui.ContactList
Activity pause timeout for HistoryRecord{45fd2540 com.beem.project

PID: 19339 SIG: 9
Process com.beem.project.beem (pid 19339) has died.
: Scheduling restart of crashed service com.beem.project.beem/.BeemS

WIN DEATH: Window{46072b38 com.beem.project.beem/com.beem.project.be

WIN DEATH: Window{4608fbd8 com.beem.project.beem/com.beem.project.be

could you test the attached .apk ? it should fix your issue.

#4 - 01/23/2012 03:57 PM - Nikita Kozlov
- File Beem-debug.apk added

+ some text color fix

#5 - 01/23/2012 03:57 PM - Nikita Kozlov
- File deleted (Beem-debug.apk)

#6 - 01/23/2012 04:58 PM - Nikita Kozlov
- File Beem-debug.apk added

#7 - 01/23/2012 05:20 PM - Nikita Kozlov
- File Beem-debug.apk added

this one should really fix the bug

#8 - 01/30/2012 04:10 PM - Nikita Kozlov

- Status changed from New to Resolved

#9 - 02/21/2012 12:31 PM - Nikita Kozlov

- Status changed from Resolved to Closed
Beem-debug.apk 841 KB 01/23/2012 Nikita Kozlov
